import {getTexture} from './utils'

import { SmallBall } from './SmallBall'
export default class TestView extends engine.Container{
    startBtn:engine.Shape
    stageBg: engine.Shape;
    gameBg: engine.Shape;
    planeModel:engine.Shape;
    worldTime:number;

    constructor(){
        super()
        this.once(engine.Event.ADDED_TO_STAGE, this.setup, this);
    }


    setup(){
        this.stageBg = new engine.Shape();
        this.addChild(this.stageBg)
        this.stageBg.beginFill(0x000000);
        this.stageBg.drawRect(0,0,engine.gameStage.width,engine.gameStage.height);
        this.stageBg.endFill();

        this.gameBg = new engine.Shape();

        // 开始按钮
        this.startBtn = new engine.Shape();
        // this.startBtn.x = (750 - this.startBtn.width) / 2;
        // this.startBtn.y = (this.stage.height - this.startBtn.height) / 2 + 300;
        this.stageBg.addChild(this.startBtn)
        // this.startBtn.addEventListener(engine.MouseEvent.CLICK,this.onClick,this)
        this.startBtn.beginFill(0x66ccff);
        this.startBtn.drawRect(0,0,200,100);
        this.startBtn.endFill();

        
    }

    // start(){
    //     this.addEventListener(engine.Event.ENTER_FRAME,()=>{
            
    //     },this)
    // }

}